> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-governance/business-rules/business-rule-details/triggers/trigger-details/trigger-configuration-details.md).

# Trigger configuration details

Trigger configuration details are the settings that specify when a trigger should trigger.

You can add or update triggers through [Settings](/reference/settings.md) > [Data governance](/reference/settings/data-governance.md) > [Business rules](/reference/settings/data-governance/business-rules.md) > [Triggers](/reference/settings/data-governance/business-rules/business-rule-details/triggers.md).

### Entity value changed

| Attributes to trigger on | The attributes to trigger on when changed. |
| ------------------------ | ------------------------------------------ |

### Entity enrichment insight changed

| Enrichment insight         | The enrichment insight to trigger on.                                                                                                                                               |
| -------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Updated to trigger on      | The updates you want to trigger on.                                                                                                                                                 |
| Insight shall change to be | The threshold that the insight must change to meet. This means that this will only trigger when the insight changes from NOT meeting the criteria to actually meeting the criteria. |

### Entity timer trigger

| Internal in minutes | How often the trigger should run in minutes.        |
| ------------------- | --------------------------------------------------- |
| Filter              | A filter to only run the trigger on specific items. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/reference/settings/data-governance/business-rules/business-rule-details/triggers/trigger-details/trigger-configuration-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
